<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Flights</title>

    <style>
            input, button, select {
                width: 300px;
                height: 30px;
            }

            select {
                width: 200px;
                height: 30px;
            }

            .add, .edit, .delete {
                width: 100px;
                height: 30px;
            }

            .checkbox {
                width: 20px;
                height: 20px;
            }












    </style>
</head>

<body>


<div th:replace="fragments/header :: header"></div>


<div sec:authorize="hasRole('ROLE_ADMINISTRATOR')">

    <h1>ADMIN PAGE</h1>

    <p>
        <a th:href="@{/employees}">Employees</a>
    </p>

    <p>
        <a th:href="@{/flights}">Flights</a>
    </p>

    <p>
        <a th:href="@{/requests}">Request</a>
    </p>

    <div align="center">

        <div>
            <h3 style="color:red" th:text="${errorMessage}"></h3>
        </div>

        <div>
            <h3 style="color:green" th:text="${message}"></h3>
        </div>

        <h2>Find a flight:</h2>
        <form method="post" th:action="@{/flights}" th:object="${flight}">
            <div>
                <p>
                    <input placeholder="ID" th:name="flightId" type="text" width="30"/>
                    <input placeholder="Departure city" th:name="departureCity" type="text" width="30"/>
                    <input placeholder="Departure airport" th:name="departureAirport" type="text" width="30"/>
                    <input placeholder="Departure date" th:name="departureDate" type="datetime-local" width="30"/>
                    <input placeholder="Arrival city" th:name="arrivalCity" type="text" width="30"/>
                    <input placeholder="Arrival airport" th:name="arrivalAirport" type="text" width="30"/>
                    <input placeholder="Arrival date" th:name="arrivalDate" type="datetime-local" width="30"/>
                    <select th:name="status" width="50">
                        <option value="">Status</option>
                        <option th:each="flightStatusOpt : ${T(com.epam.rd.november2019.model.FlightStatus).values()}"
                                th:text="${flightStatusOpt.displayValue}"
                                th:value="${flightStatusOpt}"></option>
                    </select>
                </p>
                <p>
                    <input type="submit" value="Find"/>
                </p>
            </div>
        </form>

        <h2>Add a Flight</h2>
        <form action="#" method="post" th:action="@{/flights/add}" th:object="${flight}">
            <p>
                <input placeholder="Departure city" required th:name="departureCity" type="text" width="30"/>
                <input placeholder="Departure airport" required th:name="departureAirport" type="text" width="30"/>
                <input placeholder="Departure date" required th:name="departureDate" type="datetime-local" width="30"/>
                <input placeholder="Arrival city" required th:name="arrivalCity" type="text" width="30"/>
                <input placeholder="Arrival airport" required th:name="arrivalAirport" type="text" width="30"/>
                <input placeholder="Arrival date" required th:name="arrivalDate" type="datetime-local" width="30"/>
                <select required th:name="status" width="50">
                    <option value="">Status</option>
                    <option th:each="flightStatusOpt : ${T(com.epam.rd.november2019.model.FlightStatus).values()}"
                            th:text="${flightStatusOpt.displayValue}"
                            th:value="${flightStatusOpt}"></option>
                </select>
            </p>
            <p>
                <input type="submit" value="Add"/>
            </p>
        </form>

        <h2>Sort by:</h2>
        <form action="#" method="post" th:action="@{/sort_flights}" th:object="${flight}">
            <div align="center">
                <select required th:name="sortBy">
                    <option value="Get all">Get all</option>
                    <option value="Flight name">Flight name</option>
                    <option value="Flight id">Flight id</option>
                </select>
                <p><input type="submit" value="Sort"></p>
            </div>
        </form>

        <table border="1" cellpadding="5">
            <caption><h2>List of flights</h2></caption>
            <tr>
                <th>ID</th>
                <th>Departure city</th>
                <th>Departure airport</th>
                <th>Departure date</th>
                <th>Arrival city</th>
                <th>Arrival airport</th>
                <th>Arrival date</th>
                <th>Status</th>
                <th>Flight team</th>
                <th>Edit</th>
                <th>Delete</th>
            </tr>

            <tr th:each="flight : ${flights}">
                <td th:text="${flight.flightId}"></td>
                <td th:text="${flight.departureCity}"></td>
                <td th:text="${flight.departureAirport}"></td>
                <td th:text="${flight.departureDate}"></td>
                <td th:text="${flight.arrivalCity}"></td>
                <td th:text="${flight.arrivalAirport}"></td>
                <td th:text="${flight.arrivalDate}"></td>
                <td th:text="${flight.status.displayValue}"></td>
                <td th:text="${flight.flightTeam}"></td>
                <td><a th:href="@{/editFlight/{id}(id=${flight.flightId})}">Edit</a></td>
                <td><a th:href="@{/deleteFlight/{id}(id=${flight.flightId})}">Delete</a></td>
            </tr>
        </table>
    </div>
</div>

<div sec:authorize="hasRole('ROLE_DISPATCHER')">

    <h1>DISPATCHER PAGE</h1>

    <p><a th:href="@{/flights}">Flights</a></p>

    <p><a th:href="@{/requests}">Request</a></p>

    <div align="center">
        <h2>Find a flight:</h2>
        <form method="post" th:action="@{/flights}" th:object="${flight}">
            <div>
                <p>
                    <input placeholder="ID" th:name="flightId" type="text" width="30"/>
                    <input placeholder="Departure city" th:name="departureCity" type="text" width="30"/>
                    <input placeholder="Departure airport" th:name="departureAirport" type="text" width="30"/>
                    <input placeholder="Departure date" th:name="departureDate" type="datetime-local" width="30"/>
                    <input placeholder="Arrival city" th:name="arrivalCity" type="text" width="30"/>
                    <input placeholder="Arrival airport" th:name="arrivalAirport" type="text" width="30"/>
                    <input placeholder="Arrival date" th:name="arrivalDate" type="datetime-local" width="30"/>
                    <select th:name="status" width="50">
                        <option value="">Status</option>
                        <option th:each="flightStatusOpt : ${T(com.epam.rd.november2019.model.FlightStatus).values()}"
                                th:text="${flightStatusOpt.displayValue}"
                                th:value="${flightStatusOpt}"></option>
                    </select>
                </p>
                <p><input type="submit" value="Find"/></p>
            </div>
        </form>

        <h2>Sort by:</h2>
        <form action="#" method="post" th:action="@{/sort_flights}" th:object="${flight}">
            <div align="center">
                <select required th:name="sortBy">
                    <option value="Get all">Get all</option>
                    <option value="Flight name">Flight name</option>
                    <option value="Flight id">Flight id</option>
                </select>
                <p><input type="submit" value="Sort"></p>
            </div>
        </form>

        <table border="1" cellpadding="5">
            <caption><h2>List of flights</h2></caption>
            <tr>
                <th>ID</th>
                <th>Departure city</th>
                <th>Departure airport</th>
                <th>Departure date</th>
                <th>Arrival city</th>
                <th>Arrival airport</th>
                <th>Arrival date</th>
                <th>Status</th>
                <th>Flight team</th>
                <th>Details</th>
            </tr>
            <tr th:each="flight : ${flights}">
                <td th:text="${flight.flightId}" th:value="${flight.flightId}"></td>
                <td th:text="${flight.departureCity}"></td>
                <td th:text="${flight.departureAirport}"></td>
                <td th:text="${flight.departureDate}"></td>
                <td th:text="${flight.arrivalCity}"></td>
                <td th:text="${flight.arrivalAirport}"></td>
                <td th:text="${flight.arrivalDate}"></td>
                <td th:text="${flight.status.displayValue}"></td>
                <td th:text="${flight.flightTeam}"></td>
                <td><a th:href="@{/flight/{id}(id=${flight.flightId})}">Info</a></td>
            </tr>
        </table>
    </div>
</div>

<div th:replace="fragments/footer :: footer"></div>

</body>
</html>